*Available in other languages: [한국어](README.ko.md).*

----

![](cat-pow.svg)
Dojang: A cross-platform dotfiles manager
==========================================

[![GPL 3.0][License badge]](./LICENSE)
[![GitHub Actions][GitHub Actions status badge]][GitHub Actions]
[![Cirrus CI][Cirrus CI status badge]][Cirrus CI]
[![Codecov][Codecov badge]][Codecov]

Dojang is a cross-platform dotfiles manager.  Here are some of the highlights:

 -  Lightweight.  It's built as a native executable, so it's easy to install
    and fast to run.
 -  Cross-platform.  It works on both the POSIX family and Windows.
 -  Flexible.  It keeps in mind that config files can be placed in different
    places or have different contents depending on the environment.
 -  Safe.  Every run can be previewed by simulating it in a sandbox environment
    with the `--dry-run` option.
 -  Friendly.  Error messages are friendly and print helpful hints or warnings.

For further information, see the docs:

 -  [English](https://dojang.dev/)
 -  [한국어](https://dojang.dev/ko/) (Korean)

Distributed under the [GPL 3.0] or later.

[License badge]: https://img.shields.io/github/license/dahlia/dojang
[GitHub Actions status badge]: https://github.com/dahlia/dojang/actions/workflows/build.yaml/badge.svg
[GitHub Actions]: https://github.com/dahlia/dojang/actions/workflows/build.yaml
[Cirrus CI status badge]: https://img.shields.io/cirrus/github/dahlia/dojang
[Cirrus CI]: https://cirrus-ci.com/github/dahlia/dojang
[Codecov badge]: https://codecov.io/gh/dahlia/dojang/graph/badge.svg?token=JrwY5Yt2pD
[Codecov]: https://codecov.io/gh/dahlia/dojang
[GPL 3.0]: https://www.gnu.org/licenses/gpl-3.0.html

<!-- cSpell: ignore codecov -->
